#!/bin/sh

# This script is used to generate graphics out of Scope/iX using 
# Ploticus/iX under an Apache/iX server for user SCOPE.SYS
# written by Andreas Schmidt, CSC, Germany
# version 1.0 01.Sep.2000

echo "Content-type: text/html \n"

# QUERY_STRING contains: Report=.1.&Days=.2.&Week=.3.&Level=.4.&Format=.5.
# The first awk splits into 
#           [1]Report
#           [2].1.&Days 
#           [3].2.&Week 
#           [4].3.&Level 
#           [5].4.&Format
#           [6].5.
REP_Days=`echo $QUERY_STRING|awk '{split($1,arr,"=");print arr[2]}'`
# This awk splits [2] into .1. and Days
REP=`echo $REP_Days|awk '{split($1,arr,"&");print arr[1]}'`
# and so on ...
DAYS_Week=`echo $QUERY_STRING|awk '{split($1,arr,"=");print arr[3]}'`
DAYS=`echo $DAYS_Week|awk '{split($1,arr,"&");print arr[1]}'`
WEEK_Level=`echo $QUERY_STRING|awk '{split($1,arr,"=");print arr[4]}'`
WEEK=`echo $WEEK_Level|awk '{split($1,arr,"&");print arr[1]}'`
LEVEL_Format=`echo $QUERY_STRING|awk '{split($1,arr,"=");print arr[5]}'`
LEVEL=`echo $LEVEL_Format|awk '{split($1,arr,"&");print arr[1]}'`
# ... and the final awk generates .5. (the FORMAT)
FORMAT=`echo $QUERY_STRING|awk '{split($1,arr,"=");print arr[6]}'`

# Some other settings
TARGETDIR="/SYS/SCOPPLOT"
PLOTX_CMD=$REP"X"
PLOTX_CMD_t=$REP"X_t"

# echo "<FONT size=-1>Report Parameters: $REP $DAYS $WEEK $LEVEL $FORMAT $TARGETDIR $PLOTX_CMD</FONT><BR>"

# This MPE call creates the XFERGSUM used as input data for Ploticus/iX
callci "GLOCISD.SCOPPLOT.SYS $REP,$DAYS,$LEVEL,$FORMAT,$TARGETDIR"
# echo "GLOCISD.SCOPPLOT.SYS $REP,$DAYS,$LEVEL,$FORMAT,$TARGETDIR"

# Now the report file is edited for the Weekend Stuff
if [ "$WEEK" = "No" ] 
then
	# echo "No Weekenddata"
	sed s/\\/\\/' week'/''/g $PLOTX_CMD > $PLOTX_CMD_t
else
	# echo "Weekenddata"
	cp $PLOTX_CMD $PLOTX_CMD_t
fi

# Now Ploticus/iX is invoked
cd /usr/local/ploticus/bin/
/usr/local/ploticus/bin/pl $TARGETDIR/$PLOTX_CMD_t -$FORMAT -o $TARGETDIR/$REP$DAYS$LEVEL.$FORMAT
# echo /usr/local/ploticus/bin/pl $TARGETDIR/$PLOTX_CMD -$FORMAT -o $TARGETDIR/$REP$DAYS$LEVEL.$FORMAT
cd $TARGETDIR
chmod 600 $REP$DAYS$LEVEL.$FORMAT

# Finally the graph is displayed
echo "<HTML><HEAD>"
echo "<TITLE>Ploticus Graph $REP for $DAYS Days (Level: $LEVEL)</TITLE>"
echo "</HEAD><BODY>"
echo "<H4>Ploticus Graph $REP for $DAYS Days (Level: $LEVEL)<br>Weekend: $WEEK</H4>"
echo "<IMG src=/$REP$DAYS$LEVEL.$FORMAT>"
echo "<HR>"
echo "<FONT size=-1><I>generated by <A HREF=http://www.hillschmidt.de/ploticus/ target=_blank>Ploticus/iX</A></I></FONT></BODY></HTML>"

# Some Housekeeping in $TARGETDIR
rm I*
rm R*
rm $PLOTX_CMD_t
